^BaseWorld:
	AlwaysVisible:
	Inherits: ^Palettes
	ScreenMap:
	ActorMap:
	Selection:
	MusicPlaylist:
		VictoryMusic: win1
		DefeatMusic: nod_map1
	DebugVisualizations:
	TerrainRenderer:
	TerrainGeometryOverlay:
	ShroudRenderer:
		ShroudVariants: typea, typeb, typec, typed
		FogVariants: typea, typeb, typec, typed
		OverrideFullShroud: full
		OverrideFullFog: full
	Locomotor@FOOT:
		Name: foot
		Crushes: crate
		SharesCell: true
		TerrainSpeeds:
			Clear: 90
			Rough: 80
			Road: 100
			Bridge: 100
			Tiberium: 70
				PathingCost: 300
			BlueTiberium: 70
				PathingCost: 300
			Beach: 80
	Locomotor@CHEM:
		Name: chem
		Crushes: crate
		SharesCell: true
		TerrainSpeeds:
			Clear: 90
			Rough: 80
			Road: 100
			Bridge: 100
			Tiberium: 90
			BlueTiberium: 90
			Beach: 80
	Locomotor@WHEELED:
		Name: wheeled
		Crushes: crate
		TerrainSpeeds:
			Clear: 80
			Rough: 50
			Road: 100
			Bridge: 100
			Tiberium: 50
			BlueTiberium: 50
			Beach: 50
	Locomotor@BIKE:
		Name: bike
		Crushes: crate
		TerrainSpeeds:
			Clear: 70
			Rough: 35
			Road: 100
			Bridge: 100
			Tiberium: 35
			BlueTiberium: 35
			Beach: 35
	Locomotor@HEAVYWHEELED:
		Name: heavywheeled
		Crushes: crate, infantry
		TerrainSpeeds:
			Clear: 80
			Rough: 50
			Road: 100
			Bridge: 100
			Tiberium: 50
			BlueTiberium: 50
			Beach: 50
	Locomotor@TRACKED:
		Name: tracked
		Crushes: wall, crate, infantry
		TerrainSpeeds:
			Clear: 80
			Rough: 70
			Road: 100
			Bridge: 100
			Tiberium: 70
			BlueTiberium: 70
			Beach: 70
	Locomotor@HEAVYTRACKED:
		Name: heavytracked
		Crushes: wall, heavywall, crate, infantry
		TerrainSpeeds:
			Clear: 80
			Rough: 70
			Road: 100
			Bridge: 100
			Tiberium: 70
			BlueTiberium: 70
			Beach: 70
	Locomotor@NAVAL:
		Name: naval
		Crushes: crate
		TerrainSpeeds:
			Water: 100
	Locomotor@LANDINGCRAFT:
		Name: lcraft
		Crushes: crate
		TerrainSpeeds:
			Clear: 100
			Rough: 100
			Road: 100
			Water: 100
			Tiberium: 100
			BlueTiberium: 100
			Beach: 100
			River: 100
	Locomotor@CRITTER:
		Name: critter
		Crushes: crate
		TerrainSpeeds:
			Clear: 90
			Rough: 80
			Road: 100
			Bridge: 100
			Tiberium: 70
			BlueTiberium: 70
			Beach: 80
	Faction@Random:
		Name: Any
		InternalName: Random
		RandomFactionMembers: gdi, nod
		Description: Random Faction\nA random faction will be chosen when the game starts.
	Faction@gdi:
		Name: GDI
		InternalName: gdi
		Description: Global Defense Initiative\nThe GDI is an international military branch of the United Nations tasked\nwith keeping world peace. Commanding the combined forces of the world's\nmost powerful nations, they possess an unmatched arsenal of high-tech weaponry.
	Faction@nod:
		Name: Nod
		InternalName: nod
		Description: Brotherhood of Nod\nThe Brotherhood is a religious cult centered around their leader Kane\nand the alien substance Tiberium. They utilize stealth technology\nand guerilla tactics to defeat those who oppose them.
	ResourceType@green-tib:
		Type: Tiberium
		Name: Tiberium
		PipColor: Green
		ResourceType: 1
		Palette: staticterrain
		TerrainType: Tiberium
		Sequences: ti1,ti2,ti3,ti4,ti5,ti6,ti7,ti8,ti9,ti10,ti11,ti12
		MaxDensity: 12
		ValuePerUnit: 35
		AllowedTerrainTypes: Clear,Road
		AllowUnderActors: true
	ResourceType@blue-tib:
		Type: BlueTiberium
		Name: Tiberium
		PipColor: Blue
		ResourceType: 2
		Palette: bluetiberium
		TerrainType: BlueTiberium
		Sequences: bti1,bti2,bti3,bti4,bti5,bti6,bti7,bti8,bti9,bti10,bti11,bti12
		MaxDensity: 12
		ValuePerUnit: 60
		AllowedTerrainTypes: Clear,Road
		AllowUnderActors: true

World:
	Inherits: ^BaseWorld
	ChatCommands:
	DevCommands:
	DebugVisualizationCommands:
	PlayerCommands:
	HelpCommand:
	ScreenShaker:
	BuildingInfluence:
	LegacyBridgeLayer:
		Bridges: bridge1, bridge2, bridge3, bridge4
	ProductionQueueFromSelection:
		ProductionTabsWidget: PRODUCTION_TABS
	DomainIndex:
	SmudgeLayer@SCORCH:
		Type: Scorch
		Sequence: scorches
		SmokePercentage: 50
	SmudgeLayer@CRATER:
		Type: Crater
		Sequence: craters
	ResourceLayer:
	ResourceRenderer:
		RenderTypes: Tiberium, BlueTiberium
	ResourceClaimLayer:
	WarheadDebugOverlay:
	CustomTerrainDebugOverlay:
	MapCreeps:
		CheckboxVisible: False
	SpawnMapActors:
	MapBuildRadius:
		AllyBuildRadiusCheckboxDisplayOrder: 4
		BuildRadiusCheckboxDisplayOrder: 5
	MapOptions:
		ShortGameCheckboxDisplayOrder: 2
		TechLevelDropdownDisplayOrder: 2
		GameSpeedDropdownDisplayOrder: 3
	MPStartLocations:
		SeparateTeamSpawnsCheckboxDisplayOrder: 6
	CreateMPPlayers:
	MPStartUnits@mcvonly:
		Class: none
		ClassName: MCV Only
		Factions: gdi, nod
		BaseActor: mcv
	MPStartUnits@defaultgdia:
		Class: light
		ClassName: Light Support
		Factions: gdi
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e1,e3,e3,jeep
	MPStartUnits@defaultnoda:
		Class: light
		ClassName: Light Support
		Factions: nod
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e1,e1,e3,e3,bggy
	MPStartUnits@heavynoda:
		Class: heavy
		ClassName: Heavy Support
		Factions: nod
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e3,e3,ltnk,ltnk,ftnk
	MPStartUnits@heavynodb:
		Class: heavy
		ClassName: Heavy Support
		Factions: nod
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e1,e3,e3,e3,ftnk,ftnk
	MPStartUnits@heavygdia:
		Class: heavy
		ClassName: Heavy Support
		Factions: gdi
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e3,e3,jeep,mtnk,mtnk
	MPStartUnits@heavygdib:
		Class: heavy
		ClassName: Heavy Support
		Factions: gdi
		BaseActor: mcv
		SupportActors: e1,e1,e1,e1,e1,e2,e2,e2,e3,e3,apc,mtnk
	SpawnMPUnits:
		StartingUnitsClass: light
		DropdownDisplayOrder: 0
	CrateSpawner:
		Minimum: 1
		Maximum: 6
		SpawnInterval: 3000
		WaterChance: 0
		InitialSpawnDelay: 1500
		CheckboxDisplayOrder: 1
	PathFinder:
	ValidateOrder:
	DebugPauseState:
	ObjectivesPanel:
		PanelName: SKIRMISH_STATS
	RadarPings:
	LoadWidgetAtGameStart:
		ShellmapRoot: MENU_BACKGROUND
	ScriptTriggers:
	TimeLimitManager:

EditorWorld:
	Inherits: ^BaseWorld
	EditorActorLayer:
	EditorCursorLayer:
	EditorResourceLayer:
	EditorSelectionLayer:
	LoadWidgetAtGameStart:
	EditorActionManager:
